
#****************************************************************************#
# The information contained in this file is confidential and proprietary to  #
# Broadcom Corporation.  No part of this file may be reproduced or           #
# distributed, in any form or by any means for any purpose, without the      #
# express written permission of Broadcom Corporation.                        #
#                                                                            #
# (c) COPYRIGHT 2008-2012 Broadcom Corporation, ALL RIGHTS RESERVED.         #
#****************************************************************************#

DMAKE_OUTPUT_MODE=TXT2
DMAKE_ADJUST_MAX_JOBS=YES
DMAKE_MAX_JOBS=8

OSARCH_SRC = uname -p
OSARCH     = $(OSARCH_SRC:sh)
OSREL_SRC  = uname -r
OSREL      = $(OSREL_SRC:sh)

ILLUMOS_SRC = if test "`grep -i illumos /etc/release`" != ""; then echo "-DILLUMOS"; fi
ILLUMOS     = $(ILLUMOS_SRC:sh)

SOLARIS_VER_SRC = echo "${OSREL}" | sed 's/5\./S/'
SOLARIS_VER     = $(SOLARIS_VER_SRC:sh)

BUILD_VER_SRC = if test "${ILLUMOS}" != ""; then echo "Illumos"; else echo "${SOLARIS_VER}"; fi
BUILD_VER     = $(BUILD_VER_SRC:sh)

MAJVERSION_SRC = grep MAJVERSION $(VERSION_FILE) | awk '{ print $$3; }'
MAJVERSION     = $(MAJVERSION_SRC:sh)

MINVERSION_SRC = grep MINVERSION $(VERSION_FILE) | awk '{ print $$3; }'
MINVERSION     = $(MINVERSION_SRC:sh)

REVVERSION_SRC = grep REVVERSION $(VERSION_FILE) | awk '{ print $$3; }'
REVVERSION     = $(REVVERSION_SRC:sh)

REL_BRCMVERSION = $(MAJVERSION).$(MINVERSION).$(REVVERSION)
DBG_BRCMVERSION = $(MAJVERSION).$(MINVERSION).$(REVVERSION)-debug

BRCMVERSION = $(MAJVERSION).$(MINVERSION).$(REVVERSION)

